=== debian/changelog ===
kguiaddons (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:57:19 +0000

kguiaddons (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:50:05 +0000

kguiaddons (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:18:56 +0000

kguiaddons (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:00:10 +0000

kguiaddons (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:24:18 +0000
