## kguiaddons 5.74.0

=== debian/changelog ===
kguiaddons (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:58:59 +0100

kguiaddons (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:57:52 +0100

kguiaddons (5.72.0-0ubuntu2) groovy; urgency=medium

  * Disable build-needed testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Aug 2020 15:10:56 +0100

kguiaddons (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:32:29 +0100

kguiaddons (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:06:11 +0100

kguiaddons (5.70.0-2ubuntu1) groovy; urgency=medium

  * Merge with debina unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Keep Kubuntu symbols file.

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Jun 2020 00:06:11 +0100

kguiaddons (5.70.0-2) unstable; urgency=medium

  * Team upload.
  * Restore the libkf5coreaddons-dev dependency in libkf5guiaddons-dev, as one
    header uses CoreAddons. (Closes: #961983)

 -- Pino Toscano <pino@debian.org>  Mon, 01 Jun 2020 23:38:56 +0200

kguiaddons (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge with debina unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Keep Kubuntu symbols file. 

 -- Rik Mills <rikmills@kde.org>  Mon, 01 Jun 2020 21:20:10 +0100

kguiaddons (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Use secure URI in Homepage field.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Depdends for libkf5guiaddons-dev.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:55:50 +0200

kguiaddons (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:31:45 +0100

kguiaddons (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols file.
  * Update symbols from build for 5.69.0.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:56:05 +0200

kguiaddons (5.62.0-2) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Install the kmodifierkey_xcb.so plugin (Closes: #945833). Thanks Luca for
    the bug report and the triaging!
  * Avoid future missing installed parts by passing --fail-missing to
    dh_missing.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 01 Dec 2019 14:55:18 -0300

kguiaddons (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:01 -0700

kguiaddons (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Fix "kguiaddons FTCBFS: missing Build-Depends: qttools5-dev"
    Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info). (Closes: #928905)

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update symbols files.
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:32 +0100
