=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,11 +12,33 @@
  util/kmodifierkeyinfo.cpp
  util/kmodifierkeyinfoprovider.cpp
  util/urlhandler.cpp
+ util/kcursorsaver.cpp
+ recorder/keyboardgrabber.cpp
+ recorder/keysequencerecorder.cpp
 )
+
 
 set (kguiaddons_LIB_SRCS ${kguiaddons_LIB_SRCS} util/kmodifierkeyinfoprovider.cpp)
 
+ecm_qt_declare_logging_category(kguiaddons_LIB_SRCS
+    HEADER kguiaddons_debug.h
+    IDENTIFIER KGUIADDONS_LOG
+    CATEGORY_NAME kf.guiaddons
+    DESCRIPTION "KGuiAddons"
+    EXPORT KGUIADDONS
+)
+
 add_library(KF5GuiAddons ${kguiaddons_LIB_SRCS})
+
+if(WITH_WAYLAND)
+    ecm_add_qtwayland_client_protocol(wayland_SRCS
+        PROTOCOL recorder/keyboard-shortcuts-inhibit-unstable-v1.xml
+        BASENAME keyboard-shortcuts-inhibit-unstable-v1
+    )
+    target_sources(KF5GuiAddons PRIVATE recorder/waylandinhibition.cpp ${wayland_SRCS})
+    target_compile_definitions(KF5GuiAddons PRIVATE WITH_WAYLAND)
+    target_link_libraries(KF5GuiAddons PRIVATE Qt5::GuiPrivate Qt5::WaylandClient Wayland::Client)
+endif()
 
 generate_export_header(KF5GuiAddons BASE_NAME KGuiAddons)
 add_library(KF5::GuiAddons ALIAS KF5GuiAddons)
@@ -26,6 +48,7 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/fonts
   ${CMAKE_CURRENT_SOURCE_DIR}/text
   ${CMAKE_CURRENT_SOURCE_DIR}/util
+  ${CMAKE_CURRENT_SOURCE_DIR}/recorder
   )
 target_include_directories(KF5GuiAddons PUBLIC "$<BUILD_INTERFACE:${kguiaddons_INCLUDES}>")
 target_include_directories(KF5GuiAddons INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KGuiAddons>" )
@@ -81,9 +104,18 @@
   KIconUtils
   KImageCache
   KModifierKeyInfo
+  KCursorSaver
 
   RELATIVE util
   REQUIRED_HEADERS KGuiAddons_HEADERS
+)
+
+ecm_generate_headers(KGuiAddons_HEADERS
+    HEADER_NAMES
+    KeySequenceRecorder
+
+    RELATIVE recorder
+    REQUIRED_HEADERS KGuiAddons_HEADERS
 )
 
 find_package(PythonModuleGeneration)
@@ -143,3 +175,9 @@
 include(ECMGeneratePriFile)
 ecm_generate_pri_file(BASE_NAME KGuiAddons LIB_NAME KF5GuiAddons DEPS "gui" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KGuiAddons)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
+
+ecm_qt_install_logging_categories(
+    EXPORT KGUIADDONS
+    FILE kguiaddons.categories
+    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
+)
