=== debian/changelog ===
kguiaddons (5.78.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:21 +0900

kguiaddons (5.78.0-2) experimental; urgency=medium

  * Fix incorrect B-D.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 21:10:51 +0900

kguiaddons (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:42 +0900

kguiaddons (5.77.0-4) unstable; urgency=medium

  * Team upload.
  * Allow kguiaddons to build again on non-Linux architectures:
    (Closes: #978164)
    - limit the libqt5waylandclient5-dev, libwayland-dev, and
      qtwayland5-dev-tools build dependencies as linux-any
    - pass -DWITH_WAYLAND=OFF to cmake on non-Linux architectures
    - limit two symbols as linux-any

 -- Pino Toscano <pino@debian.org>  Sun, 27 Dec 2020 10:50:45 +0100

kguiaddons (5.77.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:34 +0900

kguiaddons (5.77.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 15:53:13 +0900

kguiaddons (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:53 +0900

kguiaddons (5.74.0-3) unstable; urgency=medium

  * Team upload.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Remove the unused debian/meta/ stuff.
  * Do not ship anymore the almost empty upstream README.md as documentation
    in libkf5guiaddons-dev.
  * Stop passing --fail-missing to dh_missing, as it is the default in
    debhelper compatibility 13+.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Restore (again) the libkf5coreaddons-dev dependency in libkf5guiaddons-dev,
    as one header uses CoreAddons.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Oct 2020 15:02:33 +0200

kguiaddons (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:14:26 +0200

kguiaddons (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add categories file to libkf5guiaddons5.
  * remove libkf5coreaddons-dev from libkf5guiaddons-dev depends.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:44:20 +0200
