=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                libqt5waylandclient5-dev (>= 5.13.0~) [linux-any],
@@ -31,7 +31,7 @@
 Package: libkf5guiaddons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.77.0~),
+Depends: libkf5coreaddons-dev (>= 5.80.0~),
          libkf5guiaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.13.0~),
          ${misc:Depends},
